Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata
Interface MetaData

    @Profile(level=CORE)
    @UML(identifier="MD_MetaData",
         specification=ISO_19115)
    public interface MetaData

Root entity which defines metadata about a resource or resources.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends ApplicationSchemaInformation>` | `getApplicationSchemaInfo()` Provides information about the conceptual schema of a dataset.
`CharacterSet` | `getCharacterSet()` Full name of the character coding standard used for the metadata set.
`ResponsibleParty` | `getContact()` Deprecated. Replaced by `getContacts()`.
`Collection<? extends ResponsibleParty>` | `getContacts()` Party responsible for the metadata information.
`Collection<? extends ContentInformation>` | `getContentInfo()` Provides information about the feature catalogue and describes the coverage and image data characteristics.
`Collection<? extends DataQuality>` | `getDataQualityInfo()` Provides overall assessment of quality of a resource(s).
`String` | `getDataSetUri()` Uniformed Resource Identifier (URI) of the dataset to which the metadata applies.
`Date` | `getDateStamp()` Date that the metadata was created.
`Distribution` | `getDistributionInfo()` Provides information about the distributor of and options for obtaining the resource(s).
`String` | `getFileIdentifier()` Unique identifier for this metadata file, or `null` if none.
`Collection<String>` | `getHierarchyLevelNames()` Name of the hierarchy levels for which the metadata is provided.
`Collection<ScopeCode>` | `getHierarchyLevels()` Scope to which the metadata applies.
`Collection<? extends Identification>` | `getIdentificationInfo()` Basic information about the resource(s) to which the metadata applies.
`Locale` | `getLanguage()` Language used for documenting metadata.
`Collection<Locale>` | `getLocales()` Provides information about an alternatively used localized character string for a linguistic extension
`Collection<? extends Constraints>` | `getMetadataConstraints()` Provides restrictions on the access and use of data.
`Collection<? extends MetadataExtensionInformation>` | `getMetadataExtensionInfo()` Information describing metadata extensions.
`MaintenanceInformation` | `getMetadataMaintenance()` Provides information about the frequency of metadata updates, and the scope of those updates.
`String` | `getMetadataStandardName()` Name of the metadata standard (including profile name) used.
`String` | `getMetadataStandardVersion()` Version (profile) of the metadata standard used.
`String` | `getParentIdentifier()` File identifier of the metadata to which this metadata is a subset (child).
`Collection<? extends PortrayalCatalogueReference>` | `getPortrayalCatalogueInfo()` Provides information about the catalogue of rules defined for the portrayal of a resource(s).
`Collection<? extends ReferenceSystem>` | `getReferenceSystemInfo()` Description of the spatial and temporal reference systems used in the dataset.
`Collection<? extends SpatialRepresentation>` | `getSpatialRepresentationInfo()` Digital representation of spatial information in the dataset.

Method Detail

### getFileIdentifier

    @Profile(level=CORE)
    @UML(identifier="fileIdentifier",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getFileIdentifier()

  Unique identifier for this metadata file, or `null` if none.

### getLanguage

    @Profile(level=CORE)
    @UML(identifier="language",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Locale getLanguage()

  Language used for documenting metadata.

### getCharacterSet

    @Profile(level=CORE)
    @UML(identifier="characterSet",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    CharacterSet getCharacterSet()

  Full name of the character coding standard used for the metadata set.

### getParentIdentifier

    @UML(identifier="parentIdentifier",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    String getParentIdentifier()

  File identifier of the metadata to which this metadata is a subset (child).

### getHierarchyLevels

    @UML(identifier="hierarchyLevel",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<ScopeCode> getHierarchyLevels()

  Scope to which the metadata applies.

### getHierarchyLevelNames

    @UML(identifier="hierarchyLevelName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<String> getHierarchyLevelNames()

  Name of the hierarchy levels for which the metadata is provided.

### getContact

    ResponsibleParty getContact()

  Deprecated. Replaced by `getContacts()`.

  Party responsible for the metadata information.

### getContacts

    @Profile(level=CORE)
    @UML(identifier="contact",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getContacts()

  Party responsible for the metadata information.

  Since:
    GeoAPI 2.1

### getDateStamp

    @Profile(level=CORE)
    @UML(identifier="dateStamp",
         obligation=MANDATORY,
         specification=ISO_19115)
    Date getDateStamp()

  Date that the metadata was created.

### getMetadataStandardName

    @Profile(level=CORE)
    @UML(identifier="metadataStandardName",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getMetadataStandardName()

  Name of the metadata standard (including profile name) used.

### getMetadataStandardVersion

    @Profile(level=CORE)
    @UML(identifier="metadataStandardVersion",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getMetadataStandardVersion()

  Version (profile) of the metadata standard used.

### getDataSetUri

    @UML(identifier="dataSetURI",
         obligation=OPTIONAL,
         specification=ISO_19115)
    String getDataSetUri()

  Uniformed Resource Identifier (URI) of the dataset to which the metadata applies.

  Since:
    GeoAPI 2.1

### getLocales

    @UML(identifier="locale",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<Locale> getLocales()

  Provides information about an alternatively used localized character string for a linguistic extension

  Since:
    GeoAPI 2.1

### getSpatialRepresentationInfo

    @UML(identifier="spatialRepresentationInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends SpatialRepresentation> getSpatialRepresentationInfo()

  Digital representation of spatial information in the dataset.

### getReferenceSystemInfo

    @Profile(level=CORE)
    @UML(identifier="referenceSystemInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ReferenceSystem> getReferenceSystemInfo()

  Description of the spatial and temporal reference systems used in the dataset.

### getMetadataExtensionInfo

    @UML(identifier="metadataExtensionInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends MetadataExtensionInformation> getMetadataExtensionInfo()

  Information describing metadata extensions.

### getIdentificationInfo

    @Profile(level=CORE)
    @UML(identifier="identificationInfo",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends Identification> getIdentificationInfo()

  Basic information about the resource(s) to which the metadata applies.

### getContentInfo

    @UML(identifier="contentInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ContentInformation> getContentInfo()

  Provides information about the feature catalogue and describes the coverage and image data characteristics.

### getDistributionInfo

    @Profile(level=CORE)
    @UML(identifier="distributionInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Distribution getDistributionInfo()

  Provides information about the distributor of and options for obtaining the resource(s).

### getDataQualityInfo

    @Profile(level=CORE)
    @UML(identifier="dataQualityInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends DataQuality> getDataQualityInfo()

  Provides overall assessment of quality of a resource(s).

### getPortrayalCatalogueInfo

    @UML(identifier="portrayalCatalogueInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends PortrayalCatalogueReference> getPortrayalCatalogueInfo()

  Provides information about the catalogue of rules defined for the portrayal of a resource(s).

### getMetadataConstraints

    @UML(identifier="metadataConstraints",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Constraints> getMetadataConstraints()

  Provides restrictions on the access and use of data.

### getApplicationSchemaInfo

    @UML(identifier="applicationSchemaInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ApplicationSchemaInformation> getApplicationSchemaInfo()

  Provides information about the conceptual schema of a dataset.

### getMetadataMaintenance

    @UML(identifier="metadataMaintenance",
         obligation=OPTIONAL,
         specification=ISO_19115)
    MaintenanceInformation getMetadataMaintenance()

  Provides information about the frequency of metadata updates, and the scope of those updates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.